
package ca.canadapost.cpcdp.returns.generated.authreturn;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for NotificationsType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="NotificationsType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="notification" maxOccurs="4">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;all>
 *                   &lt;element name="email" type="{http://www.canadapost.ca/ws/authreturn-v2}EmailType"/>
 *                   &lt;element name="on-shipment" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *                   &lt;element name="on-exception" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *                   &lt;element name="on-delivery" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *                 &lt;/all>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="email-subject" minOccurs="0">
 *           &lt;simpleType>
 *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *               &lt;enumeration value="tracking"/>
 *               &lt;enumeration value="customer-ref-1"/>
 *               &lt;enumeration value="customer-ref-2"/>
 *             &lt;/restriction>
 *           &lt;/simpleType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "NotificationsType", propOrder = {
    "notifications",
    "emailSubject"
})
public class NotificationsType {

    @XmlElement(name = "notification", required = true)
    protected List<NotificationsType.Notification> notifications;
    @XmlElement(name = "email-subject")
    protected String emailSubject;

    /**
     * Gets the value of the notifications property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the notifications property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getNotifications().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link NotificationsType.Notification }
     * 
     * 
     */
    public List<NotificationsType.Notification> getNotifications() {
        if (notifications == null) {
            notifications = new ArrayList<NotificationsType.Notification>();
        }
        return this.notifications;
    }

    /**
     * Gets the value of the emailSubject property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getEmailSubject() {
        return emailSubject;
    }

    /**
     * Sets the value of the emailSubject property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setEmailSubject(String value) {
        this.emailSubject = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;all>
     *         &lt;element name="email" type="{http://www.canadapost.ca/ws/authreturn-v2}EmailType"/>
     *         &lt;element name="on-shipment" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
     *         &lt;element name="on-exception" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
     *         &lt;element name="on-delivery" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
     *       &lt;/all>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {

    })
    public static class Notification {

        @XmlElement(required = true)
        @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
        protected String email;
        @XmlElement(name = "on-shipment")
        protected boolean onShipment;
        @XmlElement(name = "on-exception")
        protected boolean onException;
        @XmlElement(name = "on-delivery")
        protected boolean onDelivery;

        /**
         * Gets the value of the email property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getEmail() {
            return email;
        }

        /**
         * Sets the value of the email property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setEmail(String value) {
            this.email = value;
        }

        /**
         * Gets the value of the onShipment property.
         * 
         */
        public boolean isOnShipment() {
            return onShipment;
        }

        /**
         * Sets the value of the onShipment property.
         * 
         */
        public void setOnShipment(boolean value) {
            this.onShipment = value;
        }

        /**
         * Gets the value of the onException property.
         * 
         */
        public boolean isOnException() {
            return onException;
        }

        /**
         * Sets the value of the onException property.
         * 
         */
        public void setOnException(boolean value) {
            this.onException = value;
        }

        /**
         * Gets the value of the onDelivery property.
         * 
         */
        public boolean isOnDelivery() {
            return onDelivery;
        }

        /**
         * Sets the value of the onDelivery property.
         * 
         */
        public void setOnDelivery(boolean value) {
            this.onDelivery = value;
        }

    }

}
